package com.example.projectapplication;

import androidx.appcompat.app.AppCompatActivity;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;


public class InputActivity_M extends AppCompatActivity {

    private String meal;
    private double quantity;
    private String unit;

    private EditText editText_meal;
    private EditText editText_quantity;
    private EditText editText_unit;
    private Button btn_inputOK;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_input_m);

        // 根据 id 找到组件
        editText_meal = (EditText) findViewById(R.id.editText_meal_m);
        editText_quantity = (EditText) findViewById(R.id.editText_quantity_m);
        editText_unit = (EditText) findViewById(R.id.editText_unit_m);
        btn_inputOK = (Button) findViewById(R.id.btn_inputOK_m);

        // 设置按钮监听
        btn_inputOK.setOnClickListener(new InputActivity_M.MyButton());
    }

    public class MyButton implements View.OnClickListener {
        @Override
        public void onClick(View view) {
            if (view.getId() == R.id.btn_inputOK_m) {
                meal = editText_meal.getText().toString();
                quantity = Double.parseDouble(editText_quantity.getText().toString());
                unit = editText_unit.getText().toString();
                //  System.out.println(Double.parseDouble(editText_quantity.getText().toString()));
                Intent intent = new Intent(InputActivity_M.this, AddActivity.class);
                intent.putExtra("meal", meal);//用putExtra把内容传送到另一个Activity,名字是meal，值是meal
                intent.putExtra("quantity", quantity);//用putExtra把内容传送到另一个Activity,名字是meal，值是meal
                intent.putExtra("unit", unit);
                startActivity(intent);//启动第二个activity并把i传递过去
            }
        }
    }
}
