package utility;

import android.content.Context;
import android.util.Log;
import android.widget.Toast;

import java.sql.Connection;
import java.sql.Date;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;
import java.util.HashMap;

public class DBUtils {

    private static Connection connection;
    private static String driver = "com.mysql.jdbc.Driver";// MySql驱动
    //private static String url = "jdbc:mysql://localhost:3306/testdb";
    private static String user = "root";// 用户名
    private static String password = "whosyourdaddy123";// 密码

    private static Connection getConn(String dbName){
        Connection connection = null;
        try{
            Class.forName(driver);// 动态加载类
            // IP 写成本机地址，不能写成localhost，同时手机和电脑连接的网络必须是同一个
            String ip = "100.75.168.133";
            // 尝试建立到给定数据库URL的连接
            connection = DriverManager.getConnection("jdbc:mysql://" + ip + ":3306/" + dbName,
                    user, password);
        }catch (Exception e){
                e.printStackTrace();
        }
        return connection;
    }

    public static void closeConn() {
        if (connection != null) {
            try {
                connection.close();
            } catch (SQLException e) {
                e.printStackTrace();
            }
        }
    }


    public static void addRecord(Date date, String type, String meal, Double quantity){
        Connection connection = getConn("testdb");

        try {
            // mysql简单的查询语句。这里是根据MD_CHARGER表的NAME字段来查询某条记录
            String sql = "INSERT INTO `record_table` (`UserID`, `Date`, `Type`, `Meal`, `Quantity`, `recordID`) " +
                    "VALUES ( '123', '" + date + "', '" + type + "', '" + meal + "', '" + quantity +"', '1' )";
            System.out.println(sql);
//      String sql = "select * from MD_CHARGER";
            if (connection != null){// connection不为null表示与数据库建立了连接
                PreparedStatement ps = connection.prepareStatement(sql);
                if (ps != null){
                    System.out.println("Successfully send the query!");
                }else {
                    System.out.println("No record added!");
                }
            }else {
                System.out.println("No connection!");
            }
        }catch (Exception e){
            e.printStackTrace();
            Log.e("DBUtils","Exception：" + e.getMessage());
        }
    }
}
